Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.randvar
Class PascalGen

    java.lang.Object
      umontreal.iro.lecuyer.randvar.RandomVariateGen
          umontreal.iro.lecuyer.randvar.RandomVariateGenInt
              umontreal.iro.lecuyer.randvar.PascalGen

Direct Known Subclasses:
  PascalConvolutionGen

    public class PascalGen

extends RandomVariateGenInt

Implements Pascal random variate generators, which is a special case of the negative binomial generator with parameter γ equal to a positive integer. See `NegativeBinomialGen` for a description.

Constructor Summary
`PascalGen(RandomStream s, int n, double p)` Creates a Pascal random variate generator with parameters n and p, using stream `s`.
`PascalGen(RandomStream s, PascalDist dist)` Creates a new generator for the distribution `dist`, using stream `s`.

Method Summary
`int` | `getN()` Returns the parameter n of this object.
`double` | `getP()` Returns the parameter p of this object.
`static int` | `nextInt(RandomStream s, int n, double p)` Generates a new variate from the Pascal distribution, with parameters n = `n` and p = `p`, using stream `s`.

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGenInt
`getDistribution, nextArrayOfInt, nextInt`

Methods inherited from class umontreal.iro.lecuyer.randvar.RandomVariateGen
`getStream, nextArrayOfDouble, nextDouble, setStream`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PascalGen

    public PascalGen(RandomStream s,
                     int n,
                     double p)

  Creates a Pascal random variate generator with parameters n and p, using stream `s`.

### PascalGen

    public PascalGen(RandomStream s,
                     PascalDist dist)

  Creates a new generator for the distribution `dist`, using stream `s`.

Method Detail

### nextInt

    public static int nextInt(RandomStream s,
                              int n,
                              double p)

  Generates a new variate from the Pascal distribution, with parameters n = `n` and p = `p`, using stream `s`.

### getN

    public int getN()

  Returns the parameter n of this object.

### getP

    public double getP()

  Returns the parameter p of this object.

Overview | Package | Class | Tree | Deprecated | Index | Help
| SSJ V. 2.1.1.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Pierre L'Ecuyer.